Loading...
Searching...
No Matches
URL_t Struct Reference

This structure holds the file pointers and buffers needed for raw access to local and remote files. More...

`#include <bigWigIO.h>`

## Data Fields

union { |
CURL * curl |
FILE * fp |
} | x
void * | memBuf
size_t | filePos
size_t | bufPos
size_t | bufSize
size_t | bufLen
enum bigWigFile_type_enum | type
int | isCompressed
const char * | fname

## Detailed Description

This structure holds the file pointers and buffers needed for raw access to local and remote files.

## Field Documentation

## bufLen

size_t URL_t::bufLen

The actual size of the buffer used.

## bufPos

size_t URL_t::bufPos

Curent position inside the buffer.

## bufSize

size_t URL_t::bufSize

The size of the buffer.

## curl

CURL* URL_t::curl

The CURL * file pointer for remote files.

## filePos

size_t URL_t::filePos

Current position inside the file.

## fname

const char* URL_t::fname

Only needed for remote connections. The original URL/filename requested, since we need to make multiple connections.

## fp

FILE* URL_t::fp

The FILE * file pointer for local files.

## isCompressed

int URL_t::isCompressed

1 if the file is compressed, otherwise 0

## memBuf

void* URL_t::memBuf

A void * pointing to memory of size bufSize.

## type

enum bigWigFile_type_enum URL_t::type

The connection type

## [union]

union { ... } URL_t::x

A union holding curl and fp.

The documentation for this struct was generated from the following file:

- bigWigIO.h